Watchlist counts halved
Closed, ResolvedPublic

Description

Author: wikipedia.org

Description:
When viewing the watchlist pages on either en: or nl: (probably others aswell)
on the top of the page a count of pages on your watchlist is given. Currently
the amount displayed is divided by 2.


Version: 1.5.x
Severity: normal

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 8:44 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz3001.
bzimport created this task.Via LegacyAug 1 2005, 2:41 PM
brion added a comment.Via ConduitAug 1 2005, 5:08 PM

This seems to be by design?

Wikinaut added a comment.Via ConduitAug 1 2005, 7:45 PM

Enotif must know for each page separately, whether a notification has been
actually sent, thus each page (article, talk) occupies a distinct entry in table
watchlist within Enotif design. That means, if user X watches page Y and
implicitely talk page Y, this counts for 2(two) pages in original Enotif design.

But Avar has added a division by two in
http://cvs.defau.lt/cvsweb.cgi/phase3/includes/SpecialWatchlist.php.diff?r1=1.57&r2=1.58
which can cause problems.

In the original design of Enotif, _any_ page (article _and_ talk) page has its
own entry in the table watchlist and any of these pages were shown in special
watchlist view - which has doubled the number of shown entries. As a solution, I
already proposed to arrange the corresponding pages (article, talk) in form of a
table, so that article and corresponding talk page names are shown in two
columns instead on two lines.

See also http://bugzilla.wikipedia.org/show_bug.cgi?id=1555 and
http://bugzilla.wikipedia.org/show_bug.cgi?id=581

I will present a suitable solution - which overcomes all problems - after the
Wikimania conference, and think, that showing actually all pages in table form
instead of artifically halving the displayed number of watched pages is the best
solution.

brion added a comment.Via ConduitAug 2 2005, 9:43 AM
  • Bug 3009 has been marked as a duplicate of this bug. ***
kaldari added a comment.Via ConduitAug 2 2005, 7:23 PM

This behavior seems to have recently regressed on the English Wikipedia. I
hadn't noticed it before today.

GPHemsley added a comment.Via ConduitAug 3 2005, 6:19 PM

Yeah, I noticed today that I "have 77.5 pages on [my] watchlist (not including
talk pages)".

bzimport added a comment.Via ConduitAug 3 2005, 6:26 PM

en.ABCD wrote:

It appears that at [[Special:Watchlist]], the number is being divided by 2
*twice*, whereas at [[Special:Watchlist/edit]], it is only divided by 2 *once*,
and therefore shows the correct number. (This was after counting manually all
1000+ articles on my watchlist)

bzimport added a comment.Via ConduitAug 3 2005, 9:40 PM

colin.pitts wrote:

I concur with ABCD about the symptom description.

brion added a comment.Via ConduitAug 3 2005, 10:10 PM

Live hack was broken. Fixed, and applied recentchanges-based Watchlist to REL1_5 cvs for management.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.